#ifndef BOOST_TYPE_TRAITS_DETAIL_HAS_TYPE_HELPER_HPP
#define BOOST_TYPE_TRAITS_DETAIL_HAS_TYPE_HELPER_HPP

#include <boost/type_traits/integral_constant.hpp>
#include <boost/type_traits/conditional.hpp>

namespace boost
{
namespace detail
{
template <typename T> struct has_type_helper
{
protected:
	template <typename... Ts> struct type_helper{};

public:
	using type = typename boost::conditional<false, type_helper<T>, void>::type;
};
}	//	detail
}	//	boost

#endif	//	BOOST_TYPE_TRAITS_DETAIL_HAS_TYPE_HELPER_HPP
