#ifndef BOOST_TYPE_TRAITS_REMOVE_CV_PTR_HPP_INCLUDED
#define BOOST_TYPE_TRAITS_REMOVE_CV_PTR_HPP_INCLUDED

#include <boost/type_traits/remove_pointer.hpp>
#include <boost/type_traits/remove_cv.hpp>

namespace boost
{
template <typename T> struct remove_cv_ptr : public boost::remove_cv<typename boost::remove_pointer<T>::type>{};

#if !defined(BOOST_NO_CXX11_TEMPLATE_ALIASES)
template <typename T> using remove_cv_ptr_t = typename boost::remove_cv_ptr<T>::type;
#endif
}	//	boost

#endif	//	BOOST_TYPE_TRAITS_REMOVE_CV_PTR_HPP_INCLUDED
